import Field from '../field';
declare const asStringBuilder: (fieldName: string) => (increment: number) => Field<string>;
declare const withValueBuilder: (fieldName: string, [value]: [string]) => (increment: number) => Field<string>;
declare const withConstantBuilder: (fieldName: string, [constantValue]: [string]) => () => Field<string>;
declare const firstNameBuilder: (fieldName: string) => () => Field<any>;
declare const lastNameBuilder: (fieldName: string) => () => Field<any>;
declare const fullNameBuilder: (fieldName: string) => () => Field<string>;
export { asStringBuilder, firstNameBuilder, fullNameBuilder, lastNameBuilder, withConstantBuilder, withValueBuilder, };
