"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.fieldTypeGenerators = void 0;
const array_field_builder_1 = __importDefault(require("./array-field-builder"));
const array_of_fixture_builder_1 = __importDefault(require("./array-of-fixture-builder"));
const boolean_field_builder_1 = __importDefault(require("./boolean-field-builder"));
const date_field_builder_1 = __importDefault(require("./date-field-builder"));
const email_field_builder_1 = __importDefault(require("./email-field-builder"));
const from_fixture_field_builder_1 = __importDefault(require("./from-fixture-field-builder"));
const function_field_builder_1 = __importDefault(require("./function-field-builder"));
const lorem_ipsum_field_builder_1 = __importDefault(require("./lorem-ipsum-field-builder"));
const number_field_builder_1 = __importDefault(require("./number-field-builder"));
const pick_from_field_builder_1 = __importDefault(require("./pick-from-field-builder"));
const string_field_builder_1 = require("./string-field-builder");
exports.fieldTypeGenerators = {
    asBoolean: boolean_field_builder_1.default,
    asNumber: number_field_builder_1.default,
    asString: string_field_builder_1.asStringBuilder,
    withValue: string_field_builder_1.withValueBuilder,
    asConstant: string_field_builder_1.withConstantBuilder,
    firstName: string_field_builder_1.firstNameBuilder,
    lastName: string_field_builder_1.lastNameBuilder,
    fullName: string_field_builder_1.fullNameBuilder,
    pickFrom: pick_from_field_builder_1.default,
    asDate: date_field_builder_1.default,
    fromFixture: from_fixture_field_builder_1.default,
    asArray: array_field_builder_1.default,
    asEmail: email_field_builder_1.default,
    as: function_field_builder_1.default,
    arrayOfFixture: array_of_fixture_builder_1.default,
    asLoremIpsum: lorem_ipsum_field_builder_1.default,
};
